using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class RoleManager : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            MembershipUserCollection users = Membership.GetAllUsers();
            foreach (MembershipUser user in users)
            {
                ListBox1.Items.Add(user.UserName);
            }

            string[] allRoles = Roles.GetAllRoles();
            foreach (string role in allRoles)
            {
                CheckBoxList1.Items.Add(role);
            }
        }

    }
    protected void ListBox1_SelectedIndexChanged(object sender, EventArgs e)
    {
        string[] userRoles = Roles.GetRolesForUser(ListBox1.SelectedValue);
        foreach (string role in userRoles)
        {
            ListItem li = CheckBoxList1.Items.FindByValue(role);
            if (li != null)
            {
                li.Selected = true;
            }
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        foreach (ListItem li in CheckBoxList1.Items)
        {
            if (li.Selected == true)
            {
                if (Roles.IsUserInRole(ListBox1.SelectedValue, li.Value) == false)
                {
                    Roles.AddUserToRole(ListBox1.SelectedValue, li.Value);
                }
            }
            else
            {
                if (Roles.IsUserInRole(ListBox1.SelectedValue, li.Value))
                {
                    Roles.RemoveUserFromRole(ListBox1.SelectedValue, li.Value);
                }
            }
        }
    }
}
